function muloaddmodel(filename)
% usage muloaddmodel(filename)
%
% load files by the names babamu.fit
% assuming fit results
% the latter are distinguished by a name like babamu.2193_1.fit
% where the first number is the run number, the second is a
% progressive number
% they contain a structure MU_MODEL 
global MU_PATH

if ispc
    slash='\';
elseif isunix 
    slash='/';
else
    'Sorry, mulab is not available yet for your OS';
end

ok=0;
if MU_PATH.LOG(end)~=slash
    MU_PATH.LOG=[MU_PATH.LOG slash];
end
load([MU_PATH.LOG filename],'-mat');

    disp(['Fit results ' MU_PATH.LOG filename ' loaded'])
    ok=1;
        if isfield(MU_MODEL_F,'NAME') % check for compatibility
                                      % with old version, will disappear
            MU_MODEL.NAME=MU_MODEL_F.NAME;
        else
            MU_MODEL.NAME=filename(1:l(1)-1);% work out name from filename
        end
        MU_MODEL.COMPONENTNUMBER=MU_MODEL_F.COMPONENTNUMBER;
        MU_MODEL.ALPHA=MU_MODEL_F.ALPHA;
        MU_MODEL.FLAG=MU_MODEL_F.FLAG;
        MU_MODEL.BATCHMODE=MU_MODEL_F.BATCHMODE;
        MU_MODEL.GROUPING=MU_MODEL_F.GROUPING;
        MU_MODEL.RANGE=MU_MODEL_F.RANGE;
        MU_MODEL.BIN=MU_MODEL_F.BIN;
        MU_MODEL.COMPONENT=MU_MODEL_F.COMPONENT;
        if ~isfield(MU_MODEL_F.FLAG,'LOGVERSION')
            MU_MODEL_F.FLAG.LOGVERSION=1;
            MU_MODEL.FLAG.LOGVERSION=1;
        end
        if isfield(MU_MODEL_F,'NRUN')
            MU_MODEL.NRUN=MU_MODEL_F.NRUN;
        end

    % recalculate array SHARE which redistributes parameters
    % must have as many elements as the total number of parameters
    % but share(j) is the index of par inside fminuit 
    % where += parameters do not appear
    shareglobal=[];
    par=0;
    for k=1:MU_MODEL.COMPONENTNUMBER
        share=[]; % this is the component SHARE array
        for j=1:MU_MODEL.COMPONENT(k).PARAMETERNUMBER
            switch MU_MODEL.COMPONENT(k).PARAMETER(j).FLAG
              case {'~','!'}
                par=par+1; % index is incremented only for ~! parameters
                share=[share par];
                shareglobal=[shareglobal par];
                MU_MODEL.COMPONENT(k).PARAMETER(j).SHARE=par;
              case '+'
                share=[share 0];
                shareglobal=[shareglobal 0];
              case '=' % must be a preceding parameter
                if isfield(MU_MODEL.COMPONENT(k).PARAMETER(j), ...
                           'SHARE')
                    parshared=MU_MODEL.COMPONENT(k).PARAMETER(j).SHARE;
                    share=[share shareglobal(parshared)];
                    shareglobal=[shareglobal shareglobal(parshared)];
                end % to read old models without shares
            end
        end
        %            disp (['comp=' num2str(k) ': ' num2str(share)])
        MU_MODEL.COMPONENT(k).SHARE=share;
    end

