function [xb,yb,varargout]=murebin(x,y,varargin)
    %   function [xb,yb,[e]]=murebin(x,y,[e])
    %     x y are intesive (rebinning of x(1:n) into a bin 
    %   that means sum(x(1:n))/n)
    %    [e] (optional) is in quadrature, sqrt(sum(e(1:n).^2))/n
    %  changed to allow only two inputs and outputs
    global MU_MODEL
    n=MU_MODEL.BIN;
    M=length(x);
    m=floor(M/n);
    MN=m*n;
    xx=x(1:MN);
    xx=reshape(xx,n,m);
    yy=y(1:MN);
    yy=reshape(yy,n,m);
    if ~isempty(varargin)
        e=varargin{1};
        ey=e(1:MN);
        ey=reshape(ey,n,m);
        eb=sqrt(sum(ey.^2,1))/n;
        varargout={eb};
    end
    xb=sum(xx,1)/n;
    yb=sum(yy,1)/n;
    
